package br.edu.ifba.inf008.contabil.util;
import br.edu.ifba.inf008.contabil.model.Conta;

public class ComparadorContaPeloSaldo implements Comparador{

    
     public int compareTo(Ordenavel o1, Ordenavel o2){
         
         if(!(o1 instanceof Conta && o2 instanceof Conta))
           return 0;
         
         Conta c1 = (Conta) o1;
         Conta c2 = (Conta) o2;
         
         return (int) (c1.valor() - c2.valor());
         
     };
    
}